| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::RefCounted Class Reference

`#include <TelepathyQt4/shared-ptr.h>`

Inherited by Tp::MethodInvocationContext<>, Tp::AbstractClient, Tp::Account, Tp::AccountManager, Tp::Channel, Tp::ChannelDispatchOperation, Tp::ChannelRequest, Tp::ClientRegistrar, Tp::Connection, Tp::ConnectionManager, Tp::MediaContent, Tp::MediaStream, and Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >.

List of all members.

## Public Member Functions

- RefCounted ()
- virtual ~RefCounted ()
- void ref ()
- bool deref ()

## Public Attributes

- QAtomicInt strongref
- WeakData * wd

## Constructor & Destructor Documentation

Tp::RefCounted::RefCounted | ( |  | ) | `[inline]`

virtual Tp::RefCounted::~RefCounted | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void Tp::RefCounted::ref | ( |  | ) | `[inline]`

bool Tp::RefCounted::deref | ( |  | ) | `[inline]`

## Member Data Documentation

QAtomicInt Tp::RefCounted::strongref`[mutable]`

WeakData* Tp::RefCounted::wd